"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const base_webpack_command_1 = require("../base-webpack-command");
const run_webpack_dev_server_1 = require("../../services/webpack/runner/run-webpack-dev-server");
const run_compile_watcher_1 = require("../../services/webpack/runner/run-compile-watcher");
class DevCommand extends base_webpack_command_1.BaseWebpackCommand {
    getDefaultEnvironment() {
        return "development";
    }
    getWebpackRunner(webpackConfig) {
        const flags = this.getFlags();
        if (flags.server) {
            return new run_webpack_dev_server_1.RunWebpackDevServerStrategy(webpackConfig);
        }
        return new run_compile_watcher_1.RunWebpackCompileWatcherStrategy(webpackConfig);
    }
}
exports.default = DevCommand;
DevCommand.description = "start developing the application";
DevCommand.args = base_webpack_command_1.BaseWebpackCommand.args;
DevCommand.flags = Object.assign({ server: command_1.flags.boolean({
        default: false,
        description: "run a development server",
        exclusive: ["output"]
    }) }, base_webpack_command_1.BaseWebpackCommand.flags);
