"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function Prop(propertyName) {
    return function (target, propertyKey) {
        const normalizedPropName = propertyName || propertyKey;
        function getter() {
            return this.props[normalizedPropName];
        }
        function setter(value) {
            this.props[normalizedPropName] = value;
        }
        Object.defineProperty(target, propertyKey, {
            get: getter,
            set: setter,
            enumerable: true,
            configurable: true
        });
    };
}
exports.Prop = Prop;
