"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultConfig = {
    environments: {
        default: {
            browserlist: "last 2 versions",
            outputPath: "dist",
            sourceMapType: "(none)",
            buildVersion: String(Date()),
            staticFilesSizeThresholdKb: 8,
            optimizeBundle: false,
            analyzeBundle: false,
            verboseMode: false,
            showBuildNotifications: true,
            enableTypeChecking: true,
            cleanDistFolderBeforeBuild: false,
            htmlWebpackPluginConfig: {},
            enableCacheBusting: false,
            entrypointName: "index",
            tsconfigPath: "./tsconfig.json",
            aliases: {},
            noParse: undefined,
            devServerConfig: {
                port: 9393,
                host: "0.0.0.0",
                open: true,
                overlay: true,
                inline: true,
                historyApiFallback: true,
                publicPath: "/",
                stats: {
                    colors: true,
                },
            },
        },
        development: {
            _extends: "default",
            sourceMapType: "eval",
        },
        production: {
            _extends: "default",
            sourceMapType: "nosources-source-map",
            optimizeBundle: true,
            showBuildNotifications: false,
            enableTypeChecking: false,
            cleanDistFolderBeforeBuild: true,
            enableCacheBusting: true,
        }
    },
    configureWebpack: undefined,
};
