"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const locate_1 = require("../../core/locate");
const project_config_1 = require("../../project-config");
function getLintConfig(projectRoot) {
    const customConfigPath = locate_1.locateFile("stylelint.config.js", projectRoot, false);
    if (!customConfigPath) {
        return require("./stylelint.config");
    }
    return require(customConfigPath);
}
function createStyleLintConfig(options) {
    const projectConfig = project_config_1.ProjectConfig.loadFromFile(options.path);
    const lintConfig = getLintConfig(projectConfig.paths.projectRoot);
    return {
        config: lintConfig,
        fix: options.fix,
        files: path.join(projectConfig.paths.projectWorkingDirectory, "./**/**/**.scss"),
    };
}
exports.createStyleLintConfig = createStyleLintConfig;
