"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const webpack = require("webpack");
const cleanup_1 = require("../../../core/cleanup");
const output_1 = require("../utils/output");
class RunWebpackCompileWatcherStrategy {
    constructor(webpackConfig) {
        this.webpackConfig = webpackConfig;
    }
    run() {
        const compiler = webpack(this.webpackConfig);
        const watcher = compiler.watch({}, output_1.printVerboseWebpackStats);
        cleanup_1.cleanupIfError(() => {
            watcher.close(() => {
                console.log(" 👍");
            });
        });
    }
}
exports.RunWebpackCompileWatcherStrategy = RunWebpackCompileWatcherStrategy;
