"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const webpack = require("webpack");
const WebpackDevServer = require("webpack-dev-server");
const cleanup_1 = require("../../../core/cleanup");
class RunWebpackDevServerStrategy {
    constructor(webpackConfig) {
        this.webpackConfig = webpackConfig;
    }
    run() {
        const compiler = webpack(this.webpackConfig);
        const server = new WebpackDevServer(compiler, this.webpackConfig.devServer);
        const { port, host } = Object.assign({ port: 9091, host: "localhost" }, this.webpackConfig.devServer);
        server.listen(port, host);
        cleanup_1.cleanupIfError(() => {
            server.close();
        });
    }
}
exports.RunWebpackDevServerStrategy = RunWebpackDevServerStrategy;
